Summary: Lists files open by processes
Name: lsof
Version: 4.74
Release: 3tr
License: Free
Group: Trustix Official
Source0: ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/lsof_%{version}.tar.bz2
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root
PreReq: setup

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%setup -q -n lsof_%{version}

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -f lsof_%{version}_src.tar ] && tar xf lsof_%{version}_src.tar
[ -d lsof_%{version}.linux -a ! -d lsof_%{version} ] && \
	mv lsof_%{version}.linux lsof_%{version}
[ -d lsof_%{version}_src ] && cd lsof_%{version}_src

%build
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
#
# ### Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d lsof_%{version}_src ] && cd lsof_%{version}_src

#LINUX_KERNEL=`pwd`/../linux LSOF_INCLUDE=`pwd`/../linux/include \
#LSOF_VERS=20036 LSOF_VSTR=2.0.36 LINUX_BASE=/dev/kmem \
#LSOF_VERS=22010 LSOF_VSTR=2.2.10 LINUX_BASE=/proc \

	./Configure -n linux

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
#
# ### Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d lsof_%{version}_src ] && cd lsof_%{version}_src

install -d ${RPM_BUILD_ROOT}%{_prefix}/{sbin,share/man/man8}
install -s lsof ${RPM_BUILD_ROOT}%{_prefix}/sbin
install lsof.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc lsof_%{version}_src/00*
%attr(0755,root,kmem) %{_prefix}/sbin/lsof
%{_mandir}/man8/lsof.8*

%changelog
* Fri Mar 18 2005 Bipin S  <bipin at comodo dot com> 4.74-2tr
- Rebuilt

* Fri Mar 05 2005 Ajith Thampi <ajith at comodo dot com> 4.74-1tr
- New Upstream

* Wed Sep 22 2004 Nageswara Sastry <nageswara at comodo dot com> 4.72-1tr
- Upgraded to version 4.72-1tr from 4.69-3tr

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 4.56-7tr
- Fixed %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.56-6tr
- Big rebuild

* Thu May 29 2003 Tore Olsen <toreo at trustix dot com> 4.56-5to
- Readded prereq on setup, need /etc/group

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 4.56-4em
- Removed PreReq, fixed %defattr.

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 4.56-3ct
- Added PreReq on setup in main package

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.56-2em
- Rebuilt against glibc 2.3.2.

* Wed Jun  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 4.56

* Tue Mar  6 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 4.55

* Thu Nov 16 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 4.52

* Thu Sep 14 2000 Per Ivar Paulsen <perp at trustix dot com>
- picked up 4.51

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved manpage to /usr/share/man, FHS

* Tue Aug  3 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.45.

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.44.

* Fri May 14 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.43 with sparc64 tweak (#2803)

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 4.42 (security fix)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- turn off setgid kmem "just in case".

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- buffer overflow patch.
- upgrade to 4.40.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- update to "official" 4.39 release.

* Wed Dec 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39B (linux) with internal kernel src.

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39A (linux)

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.37

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.36

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.35.
- rewrap for RH 5.2.

* Mon Jun 29 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [4.34-1]
- New version
- Spec rewriten to use %{name} and %{version} macros
- Removed old log enteries

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Built under RH5
- %install was changed
